[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseAutocompleteOptionsMethod

# Function: UseAutocompleteOptionsMethod()

## Call Signature

> **UseAutocompleteOptionsMethod**(`method`): `any`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L43)

### Parameters

#### method

`ProviderToken`\<`MethodWithParameters`\<`ControlOptions`, [`AutocompleteOptionsFromMethodDirectiveParameters`](../interfaces/AutocompleteOptionsFromMethodDirectiveParameters.md)\<`any`\>\>\>

### Returns

`any`

## Call Signature

> **UseAutocompleteOptionsMethod**(`method`): `any`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:46](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L46)

### Parameters

#### method

`ProviderToken`\<`MethodWithParameters`\<`ControlOptions`, `OpenApiRemoteMethodParameter`\<[`AutocompleteOptionsFromMethodDirectiveParameters`](../interfaces/AutocompleteOptionsFromMethodDirectiveParameters.md)\<`any`\>, `any`\>\>\>

### Returns

`any`

## Call Signature

> **UseAutocompleteOptionsMethod**(`method`, `config`): `any`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:49](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L49)

### Parameters

#### method

`ProviderToken`\<`MethodWithParameters`\<`any`, `any`\>\>

#### config

[`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`ControlOptions`, [`AutocompleteOptionsFromMethodDirectiveParameters`](../interfaces/AutocompleteOptionsFromMethodDirectiveParameters.md)\<`any`\>\>

### Returns

`any`
